{
    "name" : "友达赏王者",
    "appid" : "__UNI__0BC0425",
    "description" : "",
    "versionName" : "1.0.2",
    "versionCode" : 102,
    "transformPx" : false,
    /* 5+App特有相关 */
    "app-plus" : {
        "optimization" : {
            "js" : {
                "obfuscation" : true, // 开启代码混淆
                "compress" : true // 开启代码压缩
            }
        },
        "compatible" : {
            "ignoreVersion" : true //true表示忽略版本检查提示框，HBuilderX1.9.0及以上版本支持  
        },
        "usingComponents" : true,
        "nvueStyleCompiler" : "uni-app",
        "compilerVersion" : 3,
        "splashscreen" : {
            "alwaysShowBeforeRender" : true,
            "waiting" : true,
            "autoclose" : true,
            "delay" : 0
        },
        /* 模块配置 */
        "modules" : {
            "Payment" : {},
            "Camera" : {}
        },
        /* 应用发布信息 */
        "distribute" : {
            /* android打包配置 */
            "android" : {
                "permissions" : [
                    "<uses-feature android:name=\"android.hardware.camera\"/>",
                    "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CAMERA\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
                    "<uses-permission android:name=\"android.permission.GET_ACCOUNTS\"/>",
                    "<uses-permission android:name=\"android.permission.MODIFY_AUDIO_SETTINGS\"/>",
                    "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.USE_FINGERPRINT\"/>",
                    "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
                    "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>"
                ],
                "schemes" : "youdas"
            },
            /* ios打包配置 */
            "ios" : {
                "dSYMs" : false,
                "urltypes" : "youdas",
                "idfa" : false,
                "privacyDescription" : {
                    "NSPhotoLibraryUsageDescription" : "为了设置您的个人头像，我们需要访问您的照片图库。这将允许您从相册中选择现有照片作为头像。我们只会在您主动选择更换头像时访问照片，未经您的许可绝不会查看您的其他照片。",
                    "NSPhotoLibraryAddUsageDescription" : "我们需要访问权限以便将生成的海报保存到您的相册中。这样您就可以方便地在照片应用中查看和分享这些海报。我们只会在您明确选择保存时才将图片存入相册。"
                }
            },
            /* SDK配置 */
            "sdkConfigs" : {
                "ad" : {},
                "oauth" : {
                    "weixin" : {
                        "appid" : "wx3dcc897ef3f95446",
                        "appsecret" : "57b0a56910bc0a1625ddf3210585de1a",
                        "UniversalLinks" : "https://help.wechat.com/tq/"
                    },
                    "apple" : {}
                },
                "payment" : {
                    "alipay" : {
                        "__platform__" : [ "ios", "android" ]
                    }
                },
                "share" : {
                    "weixin" : {
                        "appid" : "wx3dcc897ef3f95446",
                        "UniversalLinks" : "https://help.wechat.com/tq/"
                    }
                },
                "push" : {}
            },
            "icons" : {
                "android" : {
                    "hdpi" : "unpackage/res/icons/72x72.png",
                    "xhdpi" : "unpackage/res/icons/96x96.png",
                    "xxhdpi" : "unpackage/res/icons/144x144.png",
                    "xxxhdpi" : "unpackage/res/icons/192x192.png"
                },
                "ios" : {
                    "appstore" : "unpackage/res/icons/1024x1024.png",
                    "ipad" : {
                        "app" : "unpackage/res/icons/76x76.png",
                        "app@2x" : "unpackage/res/icons/152x152.png",
                        "notification" : "unpackage/res/icons/20x20.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "proapp@2x" : "unpackage/res/icons/167x167.png",
                        "settings" : "unpackage/res/icons/29x29.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "spotlight" : "unpackage/res/icons/40x40.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png"
                    },
                    "iphone" : {
                        "app@2x" : "unpackage/res/icons/120x120.png",
                        "app@3x" : "unpackage/res/icons/180x180.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "notification@3x" : "unpackage/res/icons/60x60.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "settings@3x" : "unpackage/res/icons/87x87.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png",
                        "spotlight@3x" : "unpackage/res/icons/120x120.png"
                    }
                }
            },
            "splashscreen" : {
                "androidStyle" : "common",
                "android" : {
                    "hdpi" : "C:/Users/Administrator/Desktop/imgs/dealer_bg.png",
                    "xhdpi" : "C:/Users/Administrator/Desktop/imgs/dealer_bg.png",
                    "xxhdpi" : "C:/Users/Administrator/Desktop/imgs/dealer_bg.png"
                },
                "useOriginalMsgbox" : true
            }
        },
        "uniStatistics" : {
            "enable" : false
        },
        "nvueCompiler" : "uni-app"
    },
    /* 快应用特有相关 */
    "quickapp" : {},
    /* 小程序特有相关 */
    "mp-weixin" : {
        "appid" : "wx683d8a8a499d7ec6",
        "setting" : {
            "urlCheck" : false,
            "es6" : false,
            "postcss" : true,
            "minified" : true
        },
        "usingComponents" : true,
        "uniStatistics" : {
            "enable" : false
        },
        "requiredPrivateInfos" : [ "chooseAddress" ]
    },
    "mp-alipay" : {
        "usingComponents" : true,
        "uniStatistics" : {
            "enable" : false
        }
    },
    "mp-baidu" : {
        "usingComponents" : true,
        "uniStatistics" : {
            "enable" : false
        }
    },
    "mp-toutiao" : {
        "usingComponents" : true,
        "uniStatistics" : {
            "enable" : false
        },
        "setting" : {
            "es6" : true,
            "urlCheck" : false
        },
        "appid" : "tta5ead3573ad6d9d601"
    },
    "uniStatistics" : {
        "enable" : false
    },
    "h5" : {
        "router" : {
            "mode" : "history",
            "base" : ""
        },
        "uniStatistics" : {
            "enable" : false
        },
        "devServer" : {
            "https" : false,
            "port" : 3001,
            "disableHostCheck" : true
        },
        "template" : "index.html"
    },
    "vueVersion" : "2",
    "mp-kuaishou" : {
        "uniStatistics" : {
            "enable" : false
        }
    },
    "mp-qq" : {
        "uniStatistics" : {
            "enable" : false
        }
    },
    "fallbackLocale" : "zh-Hans"
}
